Message: Abstract Class Instantiation Errors during 4.9.4 Build Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Sad Abstract Class Instantiation Errors during 4.9.4 Build 

Forum: Installation and Configuration
Date: 28 Jan, 2011
From: John Neuhaus <John Neuhaus>

I'm trying to build Geant 4.9.4 in the WIN32-VC environment (cygwin) with CLHEP 2.1.0.1 and Qt 4.7.1. I keep getting errors that say "cannot instantiate abstract class due to following members:" which are also abstract. They usually follow a warning about the overriding virtual function only differing by const/volatile qualifier.

CLHEP built just fine, and the errors/warnings seem concentrated around the processes section, especially hadronic.

I've made several attempts at rebuilding, including CLHEP, but gotten nowhere. I've assumed Qt is not the culprit, as the hadronic processes aren't really related, but I also got an error that said "Cannot mix incompatible Qt libraries" when trying to run working code before I upgraded, but I haven't even installed anything since the code used to work.

Any help is appreciated!

John

Also, attached is a partial log containing the errors (build was still in progress at the time).

   Attachment:
      http://hypernews.slac.stanford.edu/HyperNews/geant4/get/AUX/2011/01/28/10.53-24063-partial_g4make.txt

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Abstract Class Instantiation Errors during 4.9.4 Build   (Joseph Perl - 31 Jan, 2011)
(_ None: Re: Abstract Class Instantiation Errors during 4.9.4 Build   (John Neuhaus - 31 Jan, 2011)
(_ None: Re: Abstract Class Instantiation Errors during 4.9.4 Build   (John Neuhaus - 31 Jan, 2011)
 Add Message Add Message
to: "Abstract Class Instantiation Errors during 4.9.4 Build"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]